Bug 4337 - [UPDATE REQUEST] timezone 2014g
: [UPDATE REQUEST] timezone 2014g
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-03 13:29 MSD by Sergey A. Sokolov
Modified: 2014-09-17 01:08 MSD (History)
2 users (show)

See Also:
RPM Package: timezone
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey A. Sokolov 2014-09-03 13:29:35 MSD
https://abf.rosalinux.ru/build_lists/2167315
https://abf.rosalinux.ru/build_lists/2167314

Advisory: 
Release 2014g - 2014-08-28 12:31:23 -0700

  Changes affecting future time stamps

    Turks & Caicos is switching from US eastern time to UTC-4 year-round,
    modeled as a switch from EST/EDT to AST on 2014-11-02 at 02:00.

  Changes affecting past time stamps

    Time in Russia or the USSR before 1926 or so has been corrected by
    a few seconds in the following zones: Asia/Irkutsk,
    Asia/Krasnoyarsk, Asia/Omsk, Asia/Samarkand, Asia/Tbilisi,
    Asia/Vladivostok, Asia/Yakutsk, Europe/Riga, Europe/Samara.  For
    Asia/Yekaterinburg the correction is a few minutes.  (Thanks to
    Vladimir Karpinsky.)

    The Portuguese decree of 1911-05-26 took effect on 1912-01-01.
    This affects 1911 time stamps in Africa/Bissau, Africa/Luanda,
    Atlantic/Azores, and Atlantic/Madeira.  Also, Lisbon's pre-1912
    GMT offset was -0:36:45 (rounded from -0:36:44.68), not -0:36:32.
    (Thanks to Stephen Colebourne for pointing to the decree.)

    Asia/Dhaka ended DST on 2009-12-31 at 24:00, not 23:59.

    A new file 'backzone' contains data which may appeal to
    connoisseurs of old time stamps, although it is out of scope for
    the tz database, is often poorly sourced, and contains some data
    that is known to be incorrect.  The new file is not recommended
    for ordinary use and its entries are not installed by default.
    (Thanks to Lester Caine for the high-quality Jersey, Guernsey, and
    Isle of Man entries.)

    Some more zones have been turned into links, when they differed
    from existing zones only for older time stamps.  As usual,
    these changes affect UTC offsets in pre-1970 time stamps only.
    Their old contents have been moved to the 'backzone' file.
    The affected zones are: Africa/Bangui, Africa/Brazzaville,
    Africa/Douala, Africa/Kinshasa, Africa/Libreville, Africa/Luanda,
    Africa/Malabo, Africa/Niamey, and Africa/Porto-Novo.

Release 2014f - 2014-08-05 17:42:36 -0700

  Changes affecting future time stamps

    Russia will subtract an hour from most of its time zones on 2014-10-26
    at 02:00 local time.  (Thanks to Alexander Krivenyshev.)
    There are a few exceptions: Magadan Oblast (Asia/Magadan) and Zabaykalsky
    Krai are subtracting two hours; conversely, Chukotka Autonomous Okrug
    (Asia/Anadyr), Kamchatka Krai (Asia/Kamchatka), Kemerovo Oblast
    (Asia/Novokuznetsk), and the Samara Oblast and the Udmurt Republic
    (Europe/Samara) are not changing their clocks.  The changed zones are
    Europe/Kaliningrad, Europe/Moscow, Europe/Simferopol, Europe/Volgograd,
    Asia/Yekaterinburg, Asia/Omsk, Asia/Novosibirsk, Asia/Krasnoyarsk,
    Asia/Irkutsk, Asia/Yakutsk, Asia/Vladivostok, Asia/Khandyga,
    Asia/Sakhalin, and Asia/Ust-Nera; Asia/Magadan will have two hours
    subtracted; and Asia/Novokuznetsk's time zone abbreviation is affected,
    but not its UTC offset.  Two zones are added: Asia/Chita (split
    from Asia/Yakutsk, and also with two hours subtracted) and
    Asia/Srednekolymsk (split from Asia/Magadan, but with only one hour
    subtracted).  (Thanks to Tim Parenti for much of the above.)
Comment 1 Denis Silakov 2014-09-09 16:07:09 MSD
Advisory: 
(see above)

Build lists:
https://abf.rosalinux.ru/build_lists/2167315
https://abf.rosalinux.ru/build_lists/2167314
Comment 2 Vladimir Potapov 2014-09-16 17:32:50 MSD
timezone-2014g-1
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2167314/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2167315/x86_64/main/release/
******************** Advisory *****************
release 2014g - 2014-08-28 12:31:23 -0700
******************** Changelog ****************
Changes affecting future time stamps

    Turks & Caicos is switching from US eastern time to UTC-4 year-round,
    modeled as a switch from EST/EDT to AST on 2014-11-02 at 02:00.

  Changes affecting past time stamps

    Time in Russia or the USSR before 1926 or so has been corrected by
    a few seconds in the following zones: Asia/Irkutsk,
    Asia/Krasnoyarsk, Asia/Omsk, Asia/Samarkand, Asia/Tbilisi,
    Asia/Vladivostok, Asia/Yakutsk, Europe/Riga, Europe/Samara.  For
    Asia/Yekaterinburg the correction is a few minutes.  (Thanks to
    Vladimir Karpinsky.)

    The Portuguese decree of 1911-05-26 took effect on 1912-01-01.
    This affects 1911 time stamps in Africa/Bissau, Africa/Luanda,
    Atlantic/Azores, and Atlantic/Madeira.  Also, Lisbon's pre-1912
    GMT offset was -0:36:45 (rounded from -0:36:44.68), not -0:36:32.
    (Thanks to Stephen Colebourne for pointing to the decree.)

    Asia/Dhaka ended DST on 2009-12-31 at 24:00, not 23:59.

    A new file 'backzone' contains data which may appeal to
    connoisseurs of old time stamps, although it is out of scope for
    the tz database, is often poorly sourced, and contains some data
    that is known to be incorrect.  The new file is not recommended
    for ordinary use and its entries are not installed by default.
    (Thanks to Lester Caine for the high-quality Jersey, Guernsey, and
    Isle of Man entries.)

    Some more zones have been turned into links, when they differed
    from existing zones only for older time stamps.  As usual,
    these changes affect UTC offsets in pre-1970 time stamps only.
    Their old contents have been moved to the 'backzone' file.
    The affected zones are: Africa/Bangui, Africa/Brazzaville,
    Africa/Douala, Africa/Kinshasa, Africa/Libreville, Africa/Luanda,
    Africa/Malabo, Africa/Niamey, and Africa/Porto-Novo.

Release 2014f - 2014-08-05 17:42:36 -0700

  Changes affecting future time stamps

    Russia will subtract an hour from most of its time zones on 2014-10-26
    at 02:00 local time.  (Thanks to Alexander Krivenyshev.)
    There are a few exceptions: Magadan Oblast (Asia/Magadan) and Zabaykalsky
    Krai are subtracting two hours; conversely, Chukotka Autonomous Okrug
    (Asia/Anadyr), Kamchatka Krai (Asia/Kamchatka), Kemerovo Oblast
    (Asia/Novokuznetsk), and the Samara Oblast and the Udmurt Republic
    (Europe/Samara) are not changing their clocks.  The changed zones are
    Europe/Kaliningrad, Europe/Moscow, Europe/Simferopol, Europe/Volgograd,
    Asia/Yekaterinburg, Asia/Omsk, Asia/Novosibirsk, Asia/Krasnoyarsk,
    Asia/Irkutsk, Asia/Yakutsk, Asia/Vladivostok, Asia/Khandyga,
    Asia/Sakhalin, and Asia/Ust-Nera; Asia/Magadan will have two hours
    subtracted; and Asia/Novokuznetsk's time zone abbreviation is affected,
    but not its UTC offset.  Two zones are added: Asia/Chita (split
    from Asia/Yakutsk, and also with two hours subtracted) and
    Asia/Srednekolymsk (split from Asia/Magadan, but with only one hour
    subtracted).  (Thanks to Tim Parenti for much of the above.)
***********************************************************
QA Verified